import React from "react";
import picture from '../../../assets/images/jed-villejo-pumko2FFxY0-unsplash.jpg'
import signup from '../../../assets/svg/signup.svg'

const Header = () => {
    return (
        <div className='ms-auto me-auto flex justify-center max-lg:mb-40'>
            {/*<div style={{background: 'linear-gradient(to right, #6246EA, #916CFA)'}}>*/}
            <svg
                className='max-w-1065 min-h-600 absolute max-lg:hidden'
                width="1065"
                height="600"
                viewBox="0 0 1065 600"
                fill="none"
                xmlns="http://www.w3.org/2000/svg">
                <path d="M0 0H1065L975 471L0 600V0Z" fill="#916CFA"></path>
            </svg>
            <div className='bg-darkGray max-lg:bg-deepPurple flex justify-center max-w-[1065px] min-h-[600px] ms-auto me-auto'>
                <div className='flex justify-center py-2 max-lg:flex-wrap'>
                    <div className='flex flex-col gap-2.5 z-10'>
                        <h1
                            className='pt-10 pl-10 text-darkGray text-left font-Outfit-ExtraBold font-sans text-6xl leading-tight font-extrabold uppercase'>
                            Launch your Tournament
                        </h1>
                        <p
                            className='pl-10 text-teal-300 text-left font-Outfit-Bold font-sans text-xl leading-tight font-bold uppercase'>
                            Let the Games begin
                        </p>
                        <p className='py-5 pl-10 text-wrap text-lightGray text-left font-Outfit-Regular font-sans text-2xl'>
                            Lorem ipsum Beschreibung oder so kann dahin aber muss ich noch überlegen ob
                            das Sinn macht aber hier als Placeholder
                        </p>
                        <div className='flex items-center h-10 pl-10'>
                            <input type='email' placeholder='Enter your E-Mail'
                                   className='rounded-l-2xl border-2 w-2/3 h-10 text-darkGray'/>
                            <button className='rounded-r-2xl border-2 border-l-0 px-4 py-2 bg-darkGray'>
                                <img src={signup} alt='Register' className='w-5 h-5'/>
                            </button>
                        </div>
                    </div>
                        <img
                            src={picture} alt='Picture of People'
                            className='w-72 h-fit object-contain z-10 pt-10 relative max-lg:hidden'
                        />
                </div>
            </div>
        </div>
    )
}

export default Header